function [Mx,yy,zz] = coleta(models,interf,h_ax,dy)

n = models{interf,1}.samp_num;

axes(h_ax);
%cla;

%%%%%%%Organizando informacoes em matrizes%%%%%%%%%%%
[aux models_num] = size(models);
%models_num=2;
Mx=[];
Mz=[];
My=[];
for i=1:models_num
	% cada linha corresponde a um "model"
	aux =models{interf,i}.reflector(:,1);
	Mx = [Mx; aux'];
	aux =models{interf,i}.reflector(:,2);
	My = [My; aux'];
	aux =models{interf,i}.reflector(:,3);
	Mz = [Mz; aux'];
end;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

zz=[];
yylim = [min(My(:,i)), max(My(:,i))];

for i=1:n
	% Obtencao dos valores das splines
	yy= yylim(1): dy :yylim(2) ;
	zz=[zz;spline(My(:,i),Mz(:,i),yy)];

end;



